IvyNodeCallers.Caller
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.resolve
Class IvyNodeCallers.Caller

    java.lang.Object
      org.apache.ivy.core.resolve.IvyNodeCallers.Caller

Enclosing class:
  IvyNodeCallers

    public static class IvyNodeCallers.Caller

extends java.lang.Object

Constructor Summary
`IvyNodeCallers.Caller(ModuleDescriptor md, ModuleRevisionId mrid, DependencyDescriptor dd, boolean callerCanExclude)`

Method Summary
`void` | `addConfiguration(java.lang.String callerConf, java.lang.String[] dependencyConfs)`
`boolean` | `canExclude()`
`boolean` | `equals(java.lang.Object obj)`
`ModuleRevisionId` | `getAskedDependencyId(ResolveData resolveData)`
`java.lang.String[]` | `getCallerConfigurations()`
`DependencyDescriptor` | `getDependencyDescriptor()`
`ModuleDescriptor` | `getModuleDescriptor()`
`ModuleRevisionId` | `getModuleRevisionId()`
`int` | `hashCode()`
`boolean` | `isRealCaller()`
`void` | `setRealCaller(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyNodeCallers.Caller

    public IvyNodeCallers.Caller(ModuleDescriptor md,
                                 ModuleRevisionId mrid,
                                 DependencyDescriptor dd,
                                 boolean callerCanExclude)

Method Detail

### addConfiguration

    public void addConfiguration(java.lang.String callerConf,
                                 java.lang.String[] dependencyConfs)

### getCallerConfigurations

    public java.lang.String[] getCallerConfigurations()

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAskedDependencyId

    public ModuleRevisionId getAskedDependencyId(ResolveData resolveData)

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### canExclude

    public boolean canExclude()

### getDependencyDescriptor

    public DependencyDescriptor getDependencyDescriptor()

### setRealCaller

    public void setRealCaller(boolean b)

### isRealCaller

    public boolean isRealCaller()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD